# Class IntervalUtil.IntervalCombiner

java.lang.Object
htsjdk.samtools.util.IntervalUtil.IntervalCombiner

Enclosing class:
  `IntervalUtil`

public static class IntervalUtil.IntervalCombiner extends Object

## Constructor Summary

Constructors
Constructor
Description
`IntervalCombiner()`

## Method Summary

Modifier and Type
Method
Description
`IntervalList`
`combine(IntervalList intervalList)`
`boolean`
`isCombineAbutting()`
`boolean`
`isConcatenateNames()`
`boolean`
`isEnforceSameStrand()`
`IntervalUtil.IntervalCombiner`
`setCombineAbutting(boolean combineAbutting)`
`IntervalUtil.IntervalCombiner`
`setConcatenateNames(boolean concatenateNames)`
`IntervalUtil.IntervalCombiner`
`setEnforceSameStrand(boolean enforceSameStrand)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IntervalCombiner

public IntervalCombiner()

## Method Details

### isCombineAbutting

public boolean isCombineAbutting()

### setCombineAbutting

public IntervalUtil.IntervalCombiner setCombineAbutting(boolean combineAbutting)

### isConcatenateNames

public boolean isConcatenateNames()

### setConcatenateNames

public IntervalUtil.IntervalCombiner setConcatenateNames(boolean concatenateNames)

### isEnforceSameStrand

public boolean isEnforceSameStrand()

### setEnforceSameStrand

public IntervalUtil.IntervalCombiner setEnforceSameStrand(boolean enforceSameStrand)

### combine

public IntervalList combine(IntervalList intervalList)